Name:           perl-namespace-clean
Summary:        Keep your namespace tidy
Version:        0.18
Release:        1%{?dist}
License:        GPL+ or Artistic
Group:          Development/Libraries
Source0:        http://search.cpan.org/CPAN/authors/id/F/FL/FLORA/namespace-clean-%{version}.tar.gz 
URL:            http://search.cpan.org/dist/namespace-clean
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:      noarch

BuildRequires:  perl(B::Hooks::EndOfScope) >= 0.07
BuildRequires:  perl(constant)
BuildRequires:  perl(CPAN)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.31
BuildRequires:  perl(FindBin)
BuildRequires:  perl(Package::Stash) >= 0.03
BuildRequires:  perl(Sub::Identify) >= 0.04
BuildRequires:  perl(Sub::Name) >= 0.04
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(vars)

%{?perl_default_filter}
%{?perl_default_subpackage_tests}

%description
When you define a function, or import one, into a Perl package, it will
naturally also be available as a method. This does not per se cause
problems, but it can complicate subclassing and, for example, plugin
classes that are included via multiple inheritance by loading them as
base classes.

The 'namespace::clean' pragma will remove all previously declared or
imported symbols at the end of the current package's compile cycle.
Functions called in the package itself will still be bound by their
name, but they won't show up as methods on your class or instances.

%prep
%setup -q -n namespace-clean-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Sun Aug 01 2010 Iain Arnell <iarnell@gmail.com> 0.18-1
- update by Fedora::App::MaintainerTools 0.006
- updating to latest GA CPAN version (0.18)
- added a new br on perl(Exporter) (version 0)
- altered br on perl(ExtUtils::MakeMaker) (6.42 => 6.31)
- added a new br on perl(Package::Stash) (version 0.03)
- added a new br on perl(constant) (version 0)
- added a new br on perl(vars) (version 0)
- dropped old BR on perl(Symbol)
- dropped old requires on perl(Symbol)
- manually drop unnecesary requires

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.14-1
- Mass rebuild with perl-5.12.0 & update

* Tue Feb 23 2010 Chris Weyl <cweyl@alumni.drew.edu> 0.13-2
- update by Fedora::App::MaintainerTools 0.003
- PERL_INSTALL_ROOT => DESTDIR

* Fri Feb 05 2010 Chris Weyl <cweyl@alumni.drew.edu> 0.13-1
- update filtering perl_default_filter
- auto-update to 0.13 (by cpan-spec-update 0.01)
- altered br on perl(ExtUtils::MakeMaker) (0 => 6.42)
- added a new br on perl(Sub::Identify) (version 0.04)
- added a new br on perl(Sub::Name) (version 0.04)
- altered br on perl(Test::More) (0.62 => 0.88)
- added a new br on CPAN (inc::Module::AutoInstall found)
- added a new req on perl(B::Hooks::EndOfScope) (version 0.07)
- added a new req on perl(Sub::Identify) (version 0.04)
- added a new req on perl(Sub::Name) (version 0.04)
- added a new req on perl(Symbol) (version 0)

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.11-3
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 02 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.11-1
- update to 0.11

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.09-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 02 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.09-1
- update to 0.09
- note BR change from Scope::Guard to B::Hooks::EndOfScope

* Mon Sep 08 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.08-2
- bump

* Sat Sep 06 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.08-1
- initial Fedora packaging
- generated with cpan2dist (CPANPLUS::Dist::Fedora version 0.0.1)
